Plugins API documentation: Interface Plugin

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.modules.qa.api
Interface Plugin

All Known Subinterfaces:
  AuditPlugin, MetricsPlugin

All Known Implementing Classes:
  PluginImpl

public interface Plugin

Method Summary
`boolean` | `canProcessByteCode()` Determines whether plugin can process byte code or not.
`javax.swing.JComponent` | `createOptionsPane()` Creates additional option pane.
`java.lang.String` | `getAbbreviation()` Gets the abbreviated name of plugin.
`boolean` | `getDefaultChoice()` Determines whether plugin must be chosen by default or not.
`java.lang.String` | `getDescriptionFileName()` Gets the of description file name of plugin
`java.lang.String` | `getGroupName()` Is used for grouping of plugin.
`javax.swing.JComponent` | `getOptionsPane()` returns options panel created earlier by createOptionsPane
`java.lang.String` | `getPropertiesFileName()` Gets the of properties file name of plugin.
`java.lang.String` | `getTitle()` Gets the plugin title.
`void` | `load()` Is called upon plugin creation to perform any additional actions
`boolean` | `prepare()` Called after user presses the 'Start' button, before processing to carry out some additional work if need.
`void` | `restoreOptions()` Is used to restore options from the properties file.
`boolean` | `storeOptions()` Is invoked when user presses 'Start' button.

Method Detail

### load

    public void load()

  Is called upon plugin creation to perform any additional actions

### getTitle

    public java.lang.String getTitle()

  Gets the plugin title. This title is displayed in the plugins list and results table.
  Returns:
    The plugin title

### getGroupName

    public java.lang.String getGroupName()

  Is used for grouping of plugin. Gets the name of plugin group.
  Returns:
    the name of plugin group.

### getAbbreviation

    public java.lang.String getAbbreviation()

  Gets the abbreviated name of plugin. Abbreviation is displayed in the plugin list and results table.
  Returns:
    the abbreviated name of plugin.

### getDefaultChoice

    public boolean getDefaultChoice()

  Determines whether plugin must be chosen by default or not.
  Returns:
    true if plugin must be chosen by default, otherwise false.

### getDescriptionFileName

    public java.lang.String getDescriptionFileName()

  Gets the of description file name of plugin
  Returns:
    description file name

### getPropertiesFileName

    public java.lang.String getPropertiesFileName()

  Gets the of properties file name of plugin. Properties file is used to store user options.
  Returns:
    properties file name of plugin

### createOptionsPane

    public javax.swing.JComponent createOptionsPane()

  Creates additional option pane. Additional options pane is needed if you want to give user an opportunity to specify some additional options.
  Returns:
    option pane (JComponent descendant)

### getOptionsPane

    public javax.swing.JComponent getOptionsPane()

  returns options panel created earlier by createOptionsPane
  Returns:
    options panel (JComponent descendant)

### restoreOptions

    public void restoreOptions()

  Is used to restore options from the properties file.

### storeOptions

    public boolean storeOptions()

  Is invoked when user presses 'Start' button. Stores options selected with user in class variables and in the properties file. If returns `false`, further processing is stopped.
  Returns:
    true if options are stored successfuly, otherwise false

### prepare

    public boolean prepare()

  Called after user presses the 'Start' button, before processing to carry out some additional work if need. If returns `false`, further processing is stopped.
  Returns:
    true to proceed, or false to stop further processing

### canProcessByteCode

    public boolean canProcessByteCode()

  Determines whether plugin can process byte code or not.
  Returns:
    `true` if plugin can process byte code, otherwise `false`

Overview | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD